Author Topic: Debian 4.0 base - compatible?  (Read 1701 times)

danielmayer

  • Regular Poster
  • **
  • Posts: 35
    • View Profile
Debian 4.0 base - compatible?
« on: April 16, 2007, 10:44:35 am »
By default, the question itself reminds me bitter of Win95/98/98SE-ages.... :(
It seems impossible for Linux devs to keep a compatibility in qt3/4, gtk1x/2x, etc... - :/

I'm not a "newbie" to Linux, but try the change from SuSE to a debian-based distri. A bad choice as it seems:
I tried the ubuntu 6.10-installation about two whole days with many, many problems never seen before and a finally "fail": Asrock AM2NF3, Athlon 64X2EE4200+, DDR2, 1950ProAGP.
The installation routine did not work in normal or safe video-modes. Text-based setup did work on the 8th-try: Very, very bad USB-support in Ubuntu, as it seems. I had to disconnect all USB devices for a smooth installation without "some installation error occurred". Even then, a "select and install software" had no selection available...(?is this the normal behavior?)
The concept of not having a "root" gave problems when installing the ati-driver - it was simply not possible: sudo is not enough. I had to "install" the root user manually and change to "su". And after the successful driver-install, Gnome won't start anymore...
"Never again Ubuntu!" :(

So finally my question: Did anyone try to install LMCE on the new Debian 4.0? I give it some hopes because of the self-supported CD of LMCE.... The download takes some more.... days... so enough time to ask you :)

Greetings,
Daniel
Server: Ubuntu 10.04A2, 1xL5520 on Asus Z8-PED12X, 12GB, 300GB U320Raid0, 8TB HDDs@Adaptec 2820SA + 8TB@Perc 5/E. LMCE via KVM (running); other VMs;
Workstation: W7x64, 2xOpteron 2376, 24GB, 146 GB-SSD-Raid0, ATI 4850
MD: Asrock nv630i, 2GB

sharlee_angelo

  • Guru
  • ****
  • Posts: 316
    • View Profile
Re: Debian 4.0 base - compatible?
« Reply #1 on: April 16, 2007, 11:26:24 am »
Ubuntu is nothing but a distro based on Debian testing (Etch). maybe linuxmce could work on Debian 4.0, you should give it a try, i'm curious about it.
Read the F****** Logs!!!

robertsaron

  • Regular Poster
  • **
  • Posts: 30
    • View Profile
Re: Debian 4.0 base - compatible?
« Reply #2 on: April 16, 2007, 08:20:32 pm »
I am sorry about your problems with Ubuntu. I have tried suse and loved it. Its a very very nice distro. Everything on it works out of the box. Also, I had no problems with Ubuntu install (maybe its cause I am newb to linux). Suse/Ubuntu were installed on the same box. So I am curious about Debian also, since Ubunut is based off of that.

The best thing about suse, is how easy it was to get the 3d drivers to work, and the 3d desktop. I am struggling with that now in Ubuntu. Also did you try LMCE on suse? I was tempted to install it on suse just to see how well it would work.

danielmayer

  • Regular Poster
  • **
  • Posts: 35
    • View Profile
Re: Debian 4.0 base - compatible?
« Reply #3 on: April 17, 2007, 01:18:40 pm »
I did not try to install on suse because the CD uses debian-packages... suse won't take them afaik. Compiling & Installing Mythtv did not work either because Suse 10.2 uses qt4 and several "up-to-date"-packages while mythtv needs qt3 and aborts compilation with qt4..... I am a user of Suse since V 6.0, but I tried ubuntu because of LMCE....

3d-drivers in SUSE were never a problem as I always ran SuSE as root until the system was set up completely. I would like this in Ubuntu, too. But it uses another philosophy...

Debian 4.0-DVD1 is ready, but I'm still waiting for DVD2+3 ;)

« Last Edit: April 17, 2007, 01:27:39 pm by danielmayer »
Server: Ubuntu 10.04A2, 1xL5520 on Asus Z8-PED12X, 12GB, 300GB U320Raid0, 8TB HDDs@Adaptec 2820SA + 8TB@Perc 5/E. LMCE via KVM (running); other VMs;
Workstation: W7x64, 2xOpteron 2376, 24GB, 146 GB-SSD-Raid0, ATI 4850
MD: Asrock nv630i, 2GB

thynk

  • Regular Poster
  • **
  • Posts: 41
    • View Profile
Re: Debian 4.0 base - compatible?
« Reply #4 on: April 17, 2007, 09:34:50 pm »
I like to run as root too, maybe it's the old HP-UX admin in me :-)  To do this, sudo su - , use passwd to give root a password.  Then go into the login settings under the admin menu and give root permission to login to the desktop.

I've tried (and had to admin) many distros in the past (RH, Fedora, SuSE, Slack, etc) with none of them really meeting all of my needs.  I ran across ubuntu several distros ago and found that it met most of my needs, most of the time. 

With the challenges getting this to run on ubuntu, I can only see you're in for a fight getting it to work on a different distro - this isn't to the point where it's a well behaved app. 

Stu

1audio

  • Addicted
  • *
  • Posts: 552
    • View Profile
Re: Debian 4.0 base - compatible?
« Reply #5 on: April 18, 2007, 12:20:29 am »
If you want to try Debian then you could look at the Plutohome.com version. It installs Debian and then installs on top of it. No desktop but more stable with supported hardware it seems than LMCE. Same underlying code etc.

danielmayer

  • Regular Poster
  • **
  • Posts: 35
    • View Profile
Re: Debian 4.0 base - compatible?
« Reply #6 on: April 22, 2007, 11:53:01 am »
So. I have now installed Debian 4.0 after many, many tries: The USB-connectivity is as bad as in Ubuntu 6.10.... I had to disconnect every USB-device or else even the ("borrowed") PS2-keyboard won't have function...
But in Debian, the installer lets you choose to allow a "root" user. So the installation of the ATI-driver was easily done (with "aticonfig --initialize"). The next problem came after that: The next start of gnome used a 1280-resolution which my CRT-interims-monitor does not understand. A blind logon (normal user) was possible and after the gnome desktop was built up a crt-alt-"-" gave 1024x768 and a picture again. The aticonfig did not use the same modelines that have been in xorg.conf but allowed any resolutions. Kind of stupid that xserver does not recognize the capabilities of the crt-monitor... but anyway.
Now I have a nice install of debian 4.0 - 64bit... :(
Why didn't anyone warn me about i386-installers??? ;)
- I will give news when available...
Server: Ubuntu 10.04A2, 1xL5520 on Asus Z8-PED12X, 12GB, 300GB U320Raid0, 8TB HDDs@Adaptec 2820SA + 8TB@Perc 5/E. LMCE via KVM (running); other VMs;
Workstation: W7x64, 2xOpteron 2376, 24GB, 146 GB-SSD-Raid0, ATI 4850
MD: Asrock nv630i, 2GB